io.vertx.rxjava.mqtt

## Class MqttWill

- java.lang.Object
- - io.vertx.rxjava.mqtt.MqttWill

-     public class MqttWill
      extends Object

  Will information from the remote MQTT client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<MqttWill>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MqttWill(MqttWill delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MqttWill` | `getDelegate()`
    `boolean` | `isWillFlag()`
    `boolean` | `isWillRetain()`
    `static MqttWill` | `newInstance(MqttWill arg)`
    `String` | `willMessage()`
    `int` | `willQos()`
    `String` | `willTopic()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<MqttWill> __TYPE_ARG

  - ### Constructor Detail

    - #### MqttWill

          public MqttWill(MqttWill delegate)

  - ### Method Detail

    - #### getDelegate

          public MqttWill getDelegate()

    - #### isWillFlag

          public boolean isWillFlag()

      Returns:
        the will flag for indicating the will message presence

    - #### willTopic

          public String willTopic()

      Returns:
        the topic for the will as provided by the remote MQTT client

    - #### willMessage

          public String willMessage()

      Returns:
        the payload for the will as provided by the remote MQTT client

    - #### willQos

          public int willQos()

      Returns:
        the QoS level for the will as provided by the remote MQTT client

    - #### isWillRetain

          public boolean isWillRetain()

      Returns:
        true if the will must be retained as provided by the remote MQTT client

    - #### newInstance

          public static MqttWill newInstance(MqttWill arg)

Copyright © 2017. All rights reserved.